Package org.eclipse.emf.cdo.lm.reviews

# Interface ModelReference.Extractor

All Superinterfaces:
  `Comparable<org.eclipse.net4j.util.container.ContainerElementList.Prioritized>`, `org.eclipse.net4j.util.container.ContainerElementList.Prioritized`

All Known Subinterfaces:
  `ModelReference.Extractor.Registry`

All Known Implementing Classes:
  `ModelReferenceExtractorRegistry`

Enclosing class:
  `ModelReference`

public static interface ModelReference.Extractor extends org.eclipse.net4j.util.container.ContainerElementList.Prioritized

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`ModelReference.Extractor.Registry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PRODUCT_GROUP`

## Method Summary

Modifier and Type
Method
Description
`ModelReference`
`extractModelReference(Object object)`

### Methods inherited from interface org.eclipse.net4j.util.container.ContainerElementList.Prioritized

`compareTo, getPriority`

## Field Details

### PRODUCT_GROUP

static final String PRODUCT_GROUP

See Also:
  - Constant Field Values

## Method Details

### extractModelReference

ModelReference extractModelReference(Object object)